Subject: Re: [PATCH 2/3] powerpc: Instrument Hypervisor Calls: add wrappers

From: Mike Kravetz <[email-masked]>
Date: Fri, 14 Jul 2006 17:41:56 -0700

On Fri, Jul 14, 2006 at 07:15:45PM -0500, Nathan Lynch wrote:
> Hmm, isn't it possible that the stats could be corrupted if we process
> an interrupt/softirq which does an hcall while the stats are being
> updated?  Maybe it's not a show-stopper, but it seems to me that
> accuracy could suffer under some workloads.

Yes, they can become inaccurate.  Is this what you mean by 'corrupted' or
you thinking of something worse?

There is going to be a trade off between accuracy and the overhead of the
data gathering.  What really needs to happen is some good benchmarking to
measure the costs of different approaches.  I'm pretty sure I can get
someone to provide such data.

In this patch, I have minimized the overhead in data collection at the
cost of accuracy.

-- 
Mike